org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_TABLECOLUMNNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_TABLECOLUMNNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_TABLECOLUMNNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_TABLECOLUMNNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_TABLECOLUMNNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindDemandpopin(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindHalign(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindMergeduplicates(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindMinscreenwidth(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindPopindisplay(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindValign(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_TABLECOLUMNNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setComment(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setDemandpopin(boolean value)`
    `UI5M_TABLECOLUMNNode` | `setDemandpopin(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setHalign(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setId(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setMergeduplicates(boolean value)`
    `UI5M_TABLECOLUMNNode` | `setMergeduplicates(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setMinscreenwidth(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setPopindisplay(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setReference(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setRendered(boolean value)`
    `UI5M_TABLECOLUMNNode` | `setRendered(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setStyleseq(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setStylevariant(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setValign(java.lang.String value)`
    `UI5M_TABLECOLUMNNode` | `setWidth(int value)`
    `UI5M_TABLECOLUMNNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_TABLECOLUMNNode

          public UI5M_TABLECOLUMNNode()

  - ### Method Detail

    - #### setId

          public UI5M_TABLECOLUMNNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5M_TABLECOLUMNNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_TABLECOLUMNNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_TABLECOLUMNNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_TABLECOLUMNNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_TABLECOLUMNNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_TABLECOLUMNNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_TABLECOLUMNNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDemandpopin

          public UI5M_TABLECOLUMNNode setDemandpopin(java.lang.String value)

    - #### bindDemandpopin

          public UI5M_TABLECOLUMNNode bindDemandpopin(IDynamicContentBindingObject value)

    - #### setDemandpopin

          public UI5M_TABLECOLUMNNode setDemandpopin(boolean value)

    - #### setHalign

          public UI5M_TABLECOLUMNNode setHalign(java.lang.String value)

    - #### bindHalign

          public UI5M_TABLECOLUMNNode bindHalign(IDynamicContentBindingObject value)

    - #### setMergeduplicates

          public UI5M_TABLECOLUMNNode setMergeduplicates(java.lang.String value)

    - #### bindMergeduplicates

          public UI5M_TABLECOLUMNNode bindMergeduplicates(IDynamicContentBindingObject value)

    - #### setMergeduplicates

          public UI5M_TABLECOLUMNNode setMergeduplicates(boolean value)

    - #### setMinscreenwidth

          public UI5M_TABLECOLUMNNode setMinscreenwidth(java.lang.String value)

    - #### bindMinscreenwidth

          public UI5M_TABLECOLUMNNode bindMinscreenwidth(IDynamicContentBindingObject value)

    - #### setPopindisplay

          public UI5M_TABLECOLUMNNode setPopindisplay(java.lang.String value)

    - #### bindPopindisplay

          public UI5M_TABLECOLUMNNode bindPopindisplay(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_TABLECOLUMNNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_TABLECOLUMNNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_TABLECOLUMNNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_TABLECOLUMNNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_TABLECOLUMNNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_TABLECOLUMNNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_TABLECOLUMNNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_TABLECOLUMNNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValign

          public UI5M_TABLECOLUMNNode setValign(java.lang.String value)

    - #### bindValign

          public UI5M_TABLECOLUMNNode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TABLECOLUMNNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_TABLECOLUMNNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TABLECOLUMNNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.